changeset 8:7df028236331

copyout.sh helper script added
author Space Falcon <falcon@ivan.Harhan.ORG>
date Mon, 01 Jun 2015 18:55:21 +0000
parents 706e64623330
children 7ee1a8f57933
files g23m/copyout.sh
diffstat 1 files changed, 25 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/g23m/copyout.sh	Mon Jun 01 18:55:21 2015 +0000
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This shell script copies and renames the final output files from TI's
+# nasty build system.  The latter gives these files insanely long names,
+# hence we need to rename them before we can work with them comfortably.
+
+if [ "$1" = mfw -o "$1" = 2092 ]
+then
+	mmi_type=mfw
+	mmi_abbr=mf
+else
+	mmi_type=aci
+	mmi_abbr=ac
+fi
+
+long_name=gsm_${mmi_abbr}_gp_fd_pu_em_cph_ds_vc_cal35_ri_36_amd8_ts0
+out=${mmi_type}-build
+
+set -e
+mkdir -p $out
+
+for ft in m0 map out
+do
+	cp -p __out__/$long_name/bin/$long_name.$ft $out/$out.$ft
+done
+cp -p __out__/$long_name/bin/str2ind.tab $out